Skip to main content
GET
/
audit-logs
/
{id}
Retrieve an audit log entry
curl --request GET \
  --url https://api.artu.ai/audit-logs/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "resource": "<string>",
  "operation": "<string>",
  "resourceId": "<string>",
  "actorType": "<string>",
  "actorId": "<string>",
  "ipAddress": "<string>",
  "userAgent": "<string>",
  "requestId": "<string>",
  "changes": {},
  "metadata": {},
  "createdAt": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Response

200 - application/json

OK

id
string<uuid>
required
resource
string
required
operation
string
required
resourceId
string | null
required
actorType
string
required
actorId
string | null
required
ipAddress
string | null
required
userAgent
string | null
required
requestId
string | null
required
changes
object
required
metadata
object
required
createdAt
string
required